{
  "codeName" : "TreeExp",
  "controlType" : "TREEVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder/PSTREEVIEWS/TreeExp.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "树导航",
  "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDER/psdetreeviews/TreeExp",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "treeexpbar_tree",
    "logicType" : "CUSTOM",
    "name" : "treeexpbar_load"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "Import"
  },
  "getPSDETreeNodeRSs" : [ {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderStatusData"
    },
    "name" : "订单状态 - 订单状态",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderstatus"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderTypeData"
    },
    "name" : "订单类型 - 订单类型代码表",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderType"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderstatus"
    },
    "name" : "默认根节点 - 订单状态",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderDataDyc"
    },
    "name" : "订单数据 - 订单实体",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderData"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderType"
    },
    "name" : "默认根节点 - 产品类型",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  }, {
    "getChildPSDETreeNode" : {
      "modelref" : true,
      "id" : "orderData"
    },
    "name" : "默认根节点 - 订单数据",
    "getParentPSDETreeNode" : {
      "modelref" : true,
      "id" : "ROOT"
    },
    "parentValueLevel" : 1,
    "searchMode" : 3
  } ],
  "getPSDETreeNodes" : [ {
    "counterMode" : 0,
    "name" : "订单类型",
    "nodeType" : "orderType",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "text" : "订单类型",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderType"
  }, {
    "counterMode" : 0,
    "getIdPSAppDEField" : {
      "name" : "IBIZORDERID",
      "codeName" : "IBIZOrderId"
    },
    "maxSize" : -1,
    "name" : "订单实体",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderDetailGridView9.json",
      "viewType" : "DEGRIDVIEW9"
    },
    "getNavPSDER" : {
      "cloneOrder" : 10,
      "codeName" : "IBIZORDER",
      "dERType" : "DER1N",
      "dynaModelFilePath" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail/PSDERS/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID.json",
      "fKeyName" : "F96BEAA4E35F59F65A",
      "mOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/minorpsders/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
      "getMajorPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrder.json"
      },
      "masterOrder" : -1,
      "masterRS" : 0,
      "minorCodeName" : "IBIZORDERDETAILS",
      "getMinorPSDataEntity" : {
        "modelref" : true,
        "path" : "PSMODULES/Sample/PSDATAENTITIES/IBIZOrderDetail.json"
      },
      "name" : "DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
      "orderValue" : 100,
      "getPSDER1NDEFieldMaps" : [ {
        "getMajorPSDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "mapType" : "SUM",
        "getMinorPSDEField" : {
          "name" : "AMOUNT",
          "codeName" : "Amount"
        },
        "name" : "计算订单合计"
      }, {
        "getMajorPSDEField" : {
          "name" : "DETAILNUM",
          "codeName" : "DetailNum"
        },
        "mapType" : "COUNT",
        "name" : "计算订单明细数"
      } ],
      "getPSPickupDEField" : {
        "name" : "IBIZORDERID",
        "codeName" : "IBIZOrderId"
      },
      "getPSPickupTextDEField" : {
        "name" : "IBIZORDERNAME",
        "codeName" : "IBIZOrderName"
      },
      "pickupDEFName" : "IBIZORDERID",
      "rTMOSFilePath" : "psmodules/Sample/psdataentities/IBIZORDERDETAIL/minorpsders/DER1N_IBIZORDERDETAIL_IBIZORDER_IBIZORDERID",
      "removeActionType" : 3,
      "removeOrder" : 0,
      "cloneRS" : true
    },
    "nodeType" : "orderDataDyc",
    "getPSAppDEDataSet" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getTextPSAppDEField" : {
      "name" : "IBIZORDERNAME",
      "codeName" : "IBIZOrderName"
    },
    "treeNodeType" : "DE",
    "hasPSDETreeNodeRSs" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderDataDyc"
  }, {
    "counterMode" : 0,
    "name" : "订单状态代码表",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderGridView9.json",
      "viewType" : "DEGRIDVIEW9"
    },
    "nodeType" : "orderStatusData",
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/ORDERSTATE.json"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "getPSNavigateContexts" : [ {
      "key" : "CONTEXTPARAM1",
      "name" : "CONTEXTPARAM1",
      "value" : "orderstate",
      "rawValue" : false
    } ],
    "getPSNavigateParams" : [ {
      "key" : "n_orderstate_eq",
      "name" : "n_orderstate_eq",
      "value" : "NODEID",
      "rawValue" : false
    }, {
      "key" : "param2",
      "name" : "param2",
      "value" : "orderstate",
      "rawValue" : false
    } ],
    "treeNodeType" : "CODELIST",
    "hasPSDETreeNodeRSs" : false,
    "appendCaption" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderStatusData"
  }, {
    "counterMode" : 0,
    "name" : "默认根节点",
    "nodeType" : "ROOT",
    "nodeValue" : "root",
    "text" : "默认根节点",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : true,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "ROOT"
  }, {
    "counterMode" : 0,
    "name" : "订单状态",
    "nodeType" : "orderstatus",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "text" : "订单状态",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderstatus"
  }, {
    "counterMode" : 0,
    "name" : "订单类型实体",
    "getNavPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/IBIZOrderGridView9.json",
      "viewType" : "DEGRIDVIEW9"
    },
    "nodeType" : "orderTypeData",
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/DYNAORDERTYPE.json"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrderType.json"
    },
    "getPSNavigateContexts" : [ {
      "key" : "CONTEXTPARAM1",
      "name" : "CONTEXTPARAM1",
      "value" : "orderstate",
      "rawValue" : false
    } ],
    "getPSNavigateParams" : [ {
      "key" : "param2",
      "name" : "param2",
      "value" : "orderstate",
      "rawValue" : false
    }, {
      "key" : "n_ordertype_eq",
      "name" : "n_ordertype_eq",
      "value" : "NODEID",
      "rawValue" : false
    } ],
    "treeNodeType" : "CODELIST",
    "hasPSDETreeNodeRSs" : false,
    "appendCaption" : false,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderTypeData"
  }, {
    "counterMode" : 0,
    "name" : "订单数据",
    "nodeType" : "orderData",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZOrder.json"
    },
    "text" : "所有订单",
    "treeNodeType" : "STATIC",
    "hasPSDETreeNodeRSs" : true,
    "appendPNodeId" : false,
    "disableSelect" : false,
    "enableCheck" : false,
    "enableEditData" : false,
    "enableNewData" : false,
    "enableQuickCreate" : false,
    "enableQuickSearch" : false,
    "enableRemoveData" : false,
    "enableViewData" : false,
    "expandFirstOnly" : false,
    "expanded" : false,
    "rootNode" : false,
    "selectFirstOnly" : false,
    "selected" : false,
    "id" : "orderData"
  } ],
  "rTMOSFilePath" : "pssysapps/Web/psappdeviews/IBIZOrderTestCLTreeExpView/psappviewctrls/treeexpbar_tree",
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "treeGridMode" : 0,
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "enableRootSelect" : false,
  "outputIconDefault" : true,
  "rootVisible" : false,
  "modelid" : "957e09dc360544099b5ff881c14edcdd",
  "modeltype" : "PSDETREEVIEW"
}